// IRunAidlInterface.aidl
package com.lemon.running;

// Declare any non-default types here with import statements

import com.lemon.running.LocationBeen;
import com.lemon.running.IUIRunDataCallBack;
import com.lemon.running.LocationPkBean;

interface IRunAidlService {

    void addRunDataCallBack(in IUIRunDataCallBack callBack);

    void removeRunDataCallBack(in IUIRunDataCallBack callBack);

    void pauseRun();

    void continueRun();

    void stopRun();

    void startRun(in long roomId,in long roomDuration,in long runStartTime,in long roomStartTime,in int roomType,
                  in int roomDistance,in String roomName,in int roomPlayerSize,in int isWholeDay,in long maxRunningTime,in int isIndoorRun,
                  in LocationPkBean locationPkBean);

    long getRoomDuration();

    long getRunTime();

    int getRunLong();

    float getRunSpeed();

    int getRoomType();

    int getRoomDistance();

    void cutSingleRunGoldOffsetRecord();

    boolean isBleConnected();
}
